
Name: app-digitalworld
Epoch: 1
Version: 0.0.3
Release: 1%{dist}
Summary: Digital World
License: MyLicense
Group: Applications/Apps
Packager: Packager
Vendor: Vendor
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base
Requires: app-clearlife
Requires: app-base >= 1:2.10.1

%description
Digital World  is an open network for storing and moving money, creating equitable access to the global financial system.

%package core
Summary: Digital World - API
License: MyLicense
Group: Applications/API
Requires: app-base-core
Requires: app-clearlife-core
Requires: python36-toml
Requires: sqlite >= 3.0
Requires: stellar-core

%description core
Digital World  is an open network for storing and moving money, creating equitable access to the global financial system.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/digitalworld
cp -r * %{buildroot}/usr/clearos/apps/digitalworld/
rm -f %{buildroot}/usr/clearos/apps/digitalworld/README.md

install -d -m 0755 %{buildroot}/var/clearos/digitalworld
install -D -m 0644 packaging/digitalworld.logrotate %{buildroot}/etc/logrotate.d/digitalworld
install -D -m 0644 packaging/digitalworld.rsyslog %{buildroot}/etc/rsyslog.d/digitalworld.conf
install -D -m 0755 packaging/network-configuration-event %{buildroot}/var/clearos/events/network_configuration/digitalworld

%post
logger -p local6.notice -t installer 'app-digitalworld - installing'

%post core
logger -p local6.notice -t installer 'app-digitalworld-api - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/digitalworld/deploy/install ] && /usr/clearos/apps/digitalworld/deploy/install
fi

[ -x /usr/clearos/apps/digitalworld/deploy/upgrade ] && /usr/clearos/apps/digitalworld/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-digitalworld - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-digitalworld-api - uninstalling'
    [ -x /usr/clearos/apps/digitalworld/deploy/uninstall ] && /usr/clearos/apps/digitalworld/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/digitalworld/controllers
/usr/clearos/apps/digitalworld/htdocs
/usr/clearos/apps/digitalworld/views

%files core
%defattr(-,root,root)
%doc README.md
%exclude /usr/clearos/apps/digitalworld/packaging
%exclude /usr/clearos/apps/digitalworld/unify.json
%dir /usr/clearos/apps/digitalworld
%dir /var/clearos/digitalworld
/usr/clearos/apps/digitalworld/deploy
/usr/clearos/apps/digitalworld/language
/usr/clearos/apps/digitalworld/libraries
/etc/logrotate.d/digitalworld
/etc/rsyslog.d/digitalworld.conf
/var/clearos/events/network_configuration/digitalworld
